# Generated from gmail-api-ruby-0.0.11.gem by gem2rpm -*- rpm-spec -*-
%global gem_name gmail-api-ruby

Name: rubygem-%{gem_name}
Version: 0.0.11
Release: 1%{?dist}
Summary: A Ruby interface to Gmail API (NO IMAP, NO SMTP), with all the tools you will need
License: MIT
URL: http://github.com/jhk753/gmail-ruby-api
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 1.9.3
# BuildRequires: rubygem(test-unit)
# BuildRequires: rubygem(mocha) >= 1.0.0
# BuildRequires: rubygem(mocha) < 1.1
# BuildRequires: rubygem(shoulda) >= 3.5.0
# BuildRequires: rubygem(shoulda) < 3.6
# BuildRequires: rubygem(gem-release)
BuildArch: noarch

%description
A Ruby interface to Gmail API (NO IMAP, NO SMTP).
Search, read and send multipart emails; archive, mark as read/unread,
delete emails; and manage labels. Everything is done through the Gmail API
without going through IMAP or SMTP Protocol
.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# ruby -e 'Dir.glob "./test/**/*_test.rb", &method(:require)'
popd

%files
%dir %{gem_instdir}
%{gem_instdir}/.bundle
%exclude %{gem_instdir}/.gitignore
%exclude %{gem_instdir}/.travis.yml
%license %{gem_instdir}/LICENSE
%{gem_instdir}/TODO.md
%{gem_instdir}/account.yml.example
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/CHANGELOG.md
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/gmail.gemspec
%{gem_instdir}/test

%changelog
* Mon Sep 13 2021 mockbuilder - 0.0.11-1
- Initial package
